#
# spec file for package cabal-rpm
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cabal-rpm
Version:        0.12.6
Release:        lp150.3.7
Summary:        RPM packaging tool for Haskell Cabal-based packages
License:        GPL-3.0-or-later
Group:          Development/Tools/Other
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-http-client-devel
BuildRequires:  ghc-http-client-tls-devel
BuildRequires:  ghc-http-conduit-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-simple-cmd-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unix-devel
Recommends:     cabal-install
Recommends:     ghc
Recommends:     yum-utils

%description
This package provides a RPM packaging tool for Haskell Cabal-based packages.

cabal-rpm has commands to generate a RPM spec file and srpm for a package.
It can rpmbuild packages, yum/dnf install their dependencies, prep packages,
and install them. There are commands to list package dependencies and missing
dependencies. The diff command compares the current spec file with a freshly
generated one, the update command updates the spec file to latest version from
Stackage or Hackage, and the refresh command updates the spec file to the
current cabal-rpm packaging. It also handles Hackage revisions of packages.

%prep
%setup -q

%build
%ghc_bin_build

%install
%ghc_bin_install
install -p -m 0644 -D man/cabal-rpm.1 %{buildroot}%{_mandir}/man1/cabal-rpm.1

%files
%license COPYING
%doc ChangeLog README.md TODO
%{_bindir}/%{name}
%{_mandir}/man1/cabal-rpm.1%{?ext_man}

%changelog
* Mon Oct 22 2018 psimons@suse.com
- Update cabal-rpm to version 0.12.6.
  * 0.12.6 (2018-10-20)
  - update: remove old revised .cabal
  - convert revised .cabal file to unix format
  - spec: support haskell-gi libraries
  - most of SysCmd moved to simple-cmd library (new dep)
  - can now download multiple source files
  - use line-buffering for stdout
  - always do cabal update
  - support ghc_without_dynamic for static executables
  - build with Cabal-2.4 (ghc-8.6)
* Sun Jul 29 2018 psimons@suse.com
- Update cabal-rpm to version 0.12.5.
  Upstream has edited the change log file since the last release in
  a non-trivial way, i.e. they did more than just add a new entry
  at the top. You can review the file at:
  http://hackage.haskell.org/package/cabal-rpm-0.12.5/src/ChangeLog
* Tue Jul 10 2018 psimons@suse.com
- Add cabal-rpm at version 0.12.4.
